### Signal

# Adw Sidebar::setup-menu

#### Declaration

    void
    setup_menu (
      AdwSidebar* self,
      AdwSidebarItem* item,
      gpointer user_data
    )

#### Description [src]

Emitted when a context menu is opened or closed for `item`.

If the menu has been closed, `item` will be set to `NULL`.

It can be used to set up menu actions before showing the menu, for example disable actions not applicable to `item`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`item`

  Type: `AdwSidebarItem`

  An item in `self`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.